import { defineComponent as o, createBlock as r, openBlock as n, unref as l, withCtx as s, createElementVNode as e, normalizeClass as p, renderSlot as u } from "vue";
import { Tab as c } from "@headlessui/vue";
const i = /* @__PURE__ */ o({
  __name: "CardTab",
  setup(m) {
    return (t, d) => (n(), r(l(c), { as: "template" }, {
      default: s(({ selected: a }) => [
        e("button", {
          class: p(["tab", { "tab-selected": a }]),
          type: "button"
        }, [
          e("span", null, [
            u(t.$slots, "default", {}, void 0, !0)
          ])
        ], 2)
      ]),
      _: 3
    }));
  }
});
export {
  i as default
};
